Skip to main content
Update chart

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

dashboard_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

chart_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
chart
object
required
sheets
object[]
required

Response

Updated chart

chart_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

container_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

plugin
string | null
api_version
string
title
string | null
description
string | null
chart_type
string
locked
boolean
legend_position
string | null
options
object
lines
object[]
columns
object[]
Last modified on July 23, 2026